%define		pearname	Yaml
%define		php_min_version 5.3.3
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Yaml Component
Name:		php-symfony2-Yaml
Version:	2.4.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{pearname}/archive/v%{version}/%{pearname}-%{version}.tar.gz
# Source0-md5:	afe982360e539e6bf85afa0ea50087d8
URL:		http://symfony.com/doc/2.4/components/yaml/introduction.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(date)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-pear >= 1.3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YAML Component loads and dumps YAML files.

%prep
%setup -q -n %{pearname}-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/Yaml
%{php_pear_dir}/Symfony/Component/Yaml/*.php
%{php_pear_dir}/Symfony/Component/Yaml/Exception
%changelog
* Mon Aug 04 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Yaml.git;a=log;h=master

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 5ed5639
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 7c13cc2
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 5d1344f
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 109c7c2
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 841aa25
- up to 2.1.6

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> d22b129
- up to 2.1.4, release 2012-11-29

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 5aff703
- up to 2.1.2, from symfony2 channel

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 226900c
- rename to php-symfony2-Yaml

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 7933f13
- updated to: 1.0.6

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 5216cc3
- updated to: 1.0.5

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 14e70fa
- initial from pear make-rpm-spec

